## com.sun.jersey.api.model
Class AbstractMethod

    java.lang.Object
      com.sun.jersey.api.model.AbstractMethod

All Implemented Interfaces:
  java.lang.reflect.AnnotatedElement

Direct Known Subclasses:
  AbstractImplicitViewMethod, AbstractResourceMethod, AbstractSetterMethod, AbstractSubResourceLocator

    public abstract class AbstractMethod

extends java.lang.Object
implements java.lang.reflect.AnnotatedElement

Author:
  Paul.Sandoz@Sun.Com

Constructor Summary
`AbstractMethod(AbstractResource resource, java.lang.reflect.Method method, java.lang.annotation.Annotation[] annotations)`

Method Summary

`

`<T extends java.lang.annotation.Annotation> T`

`

`getAnnotation(java.lang.Class<T> annotationType)`

`java.lang.annotation.Annotation[]` | `getAnnotations()`
`java.lang.annotation.Annotation[]` | `getDeclaredAnnotations()`
`java.lang.reflect.Method` | `getMethod()`
`AbstractResource` | `getResource()`
`boolean` | `isAnnotationPresent(java.lang.Class<? extends java.lang.annotation.Annotation> annotationType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractMethod

    public AbstractMethod(AbstractResource resource,
                          java.lang.reflect.Method method,
                          java.lang.annotation.Annotation[] annotations)

Method Detail

### getResource

    public AbstractResource getResource()

### getMethod

    public java.lang.reflect.Method getMethod()

### getAnnotation

    public <T extends java.lang.annotation.Annotation> T getAnnotation(java.lang.Class<T> annotationType)

  Specified by:
    `getAnnotation` in interface `java.lang.reflect.AnnotatedElement`

### getAnnotations

    public java.lang.annotation.Annotation[] getAnnotations()

  Specified by:
    `getAnnotations` in interface `java.lang.reflect.AnnotatedElement`

### getDeclaredAnnotations

    public java.lang.annotation.Annotation[] getDeclaredAnnotations()

  Specified by:
    `getDeclaredAnnotations` in interface `java.lang.reflect.AnnotatedElement`

### isAnnotationPresent

    public boolean isAnnotationPresent(java.lang.Class<? extends java.lang.annotation.Annotation> annotationType)

  Specified by:
    `isAnnotationPresent` in interface `java.lang.reflect.AnnotatedElement`

Copyright © 2017 Oracle Corporation. All Rights Reserved.